# Static Data Sources
This project relies on open, largely governmental data sources. ~~In order to avoid polluting this repository and to remain below GitHub's large file limit, the files required are listed below but are not included.~~ 

These are included in the installer package (TODO), ~~however you are expected to obtain these as part of setting up the development environment.~~

### Census data
| Dataset                   | Filename(s)                                                                                                             | Link                                                                                                | Licence                                                                                                                                                                                             | Notes                                                                                                                                                                                                                                    |
|---------------------------|-------------------------------------------------------------------------------------------------------------------------|-----------------------------------------------------------------------------------------------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| Ward Boundaries (clipped) | `england_wa_2011_clipped.shp` `england_wa_2011_clipped.dbf` `england_wa_2011_clipped.prj` `england_wa_2011_clipped.shx` | [Here](https://borders.ukdataservice.ac.uk/easy_download_data.html?data=England_wa_2011)            | [Open Government Licence v3](https://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/) [Terms and Conditions](https://ukdataservice.ac.uk/get-data/how-to-access/conditions.aspx) | England 2011 Wards, clipped in Shapefile format. Needs to be unzipped.                                                                                                                                                                   |
| Ward Densities            | `density.csv`                                                                                                           | [Here](https://www.nomisweb.co.uk/query/construct/summary.asp?mode=construct&version=0&dataset=143) | [Open Government Licence v3](https://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/)                                                                                            | Table QS102EW with 2011 wards as geography, export as csv. Requires some cleaning up by removing meta header and ward names. Header row needs renaming; ward code should be `code` and density be `density`. Everything else is ignored. |

### Road Traffic data
| Dataset                                              | Filename(s)                                                                                     | Link                                                                                    | Licence                                                                                                  | Notes                               |
|------------------------------------------------------|-------------------------------------------------------------------------------------------------|-----------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------|-------------------------------------|
| Annual Average Daily Flows for major and minor roads | `dft_traffic_counts_aadf.csv`                                                                   | [Here](https://roadtraffic.dft.gov.uk/downloads)                                        | [Open Government Licence v3](https://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/) |                                     |
| Major and minor roads geometry                       | `2018-MRDB-minimal.shp` `2018-MRDB-minimal.dbf` `2018-MRDB-minimal.prj` `2018-MRDB-minimal.shx` | [Here](https://roadtraffic.dft.gov.uk/downloads)                                        | [Open Government Licence v3](https://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/) | Must be 2018 version (for now TODO) |
| Traffic flow by time of day and day of week          | `tra0307.ods`                                                                                   | [Here](https://www.gov.uk/government/statistical-data-sets/road-traffic-statistics-tra) | [Open Government Licence v3](https://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/) | Table TRA0307                       |